[ 
https://issues.apache.org/jira/browse/FLINK-9386?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16478860#comment-16478860
 ] 

ASF GitHub Bot commented on FLINK-9386:
---------------------------------------

GitHub user pnowojski opened a pull request:

    https://github.com/apache/flink/pull/6031

    [FLINK-9386] Embed netty router

    This replaces netty-router dependency with our own version of it, which is 
simplified and adds guarantees about order of matching router patterns.
    
    This is a prerequisite for https://issues.apache.org/jira/browse/FLINK-3952 
. netty-router 1.10 is incompatible with Netty 4.1, while netty-router 2.2.0 
brakes a compatibility in a way that we were unable to use it. 
     
    ## Verifying this change
    
    This change ports part of the netty-router code, including tests and adds a 
test for preserving patter matching order by the `Router`. Additionally this 
change is covered by various of our ITCases.
    
    ## Does this pull request potentially affect one of the following parts:
    
      - Dependencies (does it add or upgrade a dependency): (yes / **no**)
      - The public API, i.e., is any changed class annotated with 
`@Public(Evolving)`: (yes / **no**)
      - The serializers: (yes / **no** / don't know)
      - The runtime per-record code paths (performance sensitive): (yes / 
**no** / don't know)
      - Anything that affects deployment or recovery: JobManager (and its 
components), Checkpointing, Yarn/Mesos, ZooKeeper: (yes / **no** / don't know)
      - The S3 file system connector: (yes / **no** / don't know)
    
    ## Documentation
    
      - Does this pull request introduce a new feature? (**yes** / no)
      - If yes, how is the feature documented? (not applicable / docs / 
**JavaDocs** / not documented)


You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/pnowojski/flink f9386

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/flink/pull/6031.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #6031
    
----
commit 923ef1db7d480c5263f385e87c1c6645fd54ce91
Author: Piotr Nowojski <piotr.nowojski@...>
Date:   2018-05-14T11:46:08Z

    [hotfix][tests] Report failure with error level instead of debug

commit 556fbbe283e1ea64783df73dbbfa3ddd91fc9ffe
Author: Piotr Nowojski <piotr.nowojski@...>
Date:   2018-05-16T19:26:36Z

    [FLINK-9386] Embed netty router
    
    This commit replaces netty-router dependency with our own version of it, 
which is
    simplified and adds guarantees about order of matching router patterns.

----


> Remove netty-router dependency
> ------------------------------
>
>                 Key: FLINK-9386
>                 URL: https://issues.apache.org/jira/browse/FLINK-9386
>             Project: Flink
>          Issue Type: Sub-task
>            Reporter: Piotr Nowojski
>            Assignee: Piotr Nowojski
>            Priority: Major
>             Fix For: 1.6.0
>
>
> netty-router 1.10 blocks upgrade to 4.1, while netty-router 2.2.0 has broken 
> compatibility in a way that it's unusable by us (it doesn't allow to sort 
> router paths as in https://issues.apache.org/jira/browse/FLINK-8000 ). I 
> propose to copy & simplify & modify netty-router code to suite our needs.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to